Subject: bug#32281: shr.el align support patch

From: Bad Blue Bull <[email-masked]>
Date: Tue, 07 Aug 2018 20:11:00 +0300

07.08.2018, 19:54, "Bad Blue Bull" <[email-masked]>:

There's a problem found with images inside paragraphs and also tables got broken now that I switched to using narrowing (see pics).

fill-region-as-paragraph disregards fill-collumn when aligns pic, all I can do is not to justify images at all (but I'm really puzzled how to do it, I could use other marker just to determine where image starts and ends and skip that region, but since you're against such approach... )

Justification is badly implemented in fill, it's useless for proportional fonts and you can see it's bad for images too. TBH would be good to make fill.el just ignore justify in such cases (maybe giving a warning message).

But also I think it would be alright just to leave it as it is because who uses text flowing around images inside aligned paragraphs?